<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Benchmark A: copying</h1>

<style>
table#bench {
    width: 90%;
}
table#bench th {
    vertical-align: top;
}
</style>

<table id="bench">
<tr>
<th> scp </th>
<td> <pre style="font-size: 60%">scp remote:fedora-33.img local.img</pre> </td>
<td> </td>
</tr>

<tr>
<th> qemu-img only </th>
<td>
<pre style="font-size: 40%">
┌───────────────┐ssh ┌────────────┐                           ┌───────────┐
│ fedora-33.img │───▶│ qcow2 file │───▶ qemu-img convert ────▶│ local.img │
└───────────────┘    └────────────┘                           └───────────┘
</pre>
</td>
<td> </td>
</tr>

<tr>
<th> sparsify + qemu-img </th>
<td>
<pre style="font-size: 40%">
┌───────────────┐ssh ┌────────────┐
│ fedora-33.img │───▶│ qcow2 file │◀─── virt-sparsify --in-place
└───────────────┘    └────────────┘                           ┌───────────┐
                                   ───▶ qemu-img convert ────▶│ local.img │
                                                              └───────────┘
</pre>
</td>
<td> </td>
</tr>

<tr>
<th> nbdkit + nbdcopy </th>
<td>
<pre style="font-size: 40%">
┌───────────────┐ssh ┌────────────┐
│ fedora-33.img │───▶│ nbdkit cow │◀─── virt-sparsify --in-place
└───────────────┘    └────────────┘                   ┌───────────┐
                                   ───▶ nbdcopy ────▶ │ local.img │
                                                      └───────────┘
</pre>
</td>
<td> </td>
</tr>
</table>
